local floor = math.floor
local match = string.match

function math.round( value )
	return floor( value + 0.5 )
end

function math.format( number )
    local left, num, right = match( number, "^([^%d]*%d)(%d*)(.-)$" )
	return left .. num:reverse():gsub( "(%d%d%d)", "%1," ):reverse() .. right
end

function math.formatK( num )
    return math.round( ( num / 1000 ) ) .. "K"
end